﻿using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;
using Syncfusion.XlsIO;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace GettingStarted_ASP.NET
{
    public partial class Mainpage : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void OnButtonClicked(object sender, EventArgs e)
        {
            using (ExcelEngine excelEngine = new ExcelEngine())
            {
                IApplication application = excelEngine.Excel;

                application.DefaultVersion = ExcelVersion.Excel2016;

                //Open the Excel workbook
                FileStream fileStream = new FileStream(Server.MapPath("App_Data/Sample.xlsx"), FileMode.Open, FileAccess.ReadWrite);
                IWorkbook workbook = application.Workbooks.Open(fileStream);
                IWorksheet worksheet = workbook.Worksheets[0];

                // Convert as bitmap
                System.Drawing.Image image = worksheet.ConvertToImage(1, 1, 41, 4);
                image.Save(Server.MapPath("App_Data/Sample.png"), ImageFormat.Png);

                //Create a new Word document
                WordDocument document = new WordDocument();
                //Adds section to the document
                IWSection section = document.AddSection();
                //Adds new paragraph to the section
                IWParagraph firstParagraph = section.AddParagraph();
                
                MemoryStream stream = new MemoryStream();
                image.Save(stream, System.Drawing.Imaging.ImageFormat.Png);
                byte[] imageBytes = stream.ToArray();
                //Append the picture to the document
                IWPicture picture = firstParagraph.AppendPicture(imageBytes);
                //Save the document as .docx and download
                document.Save("Output.docx", FormatType.Docx, Response, HttpContentDisposition.Attachment);
            }
        }
    }
}